Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression
Class UnboundVariableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.expression.ExpressionException
                      com.bea.p13n.expression.InvalidExpressionException
                          com.bea.p13n.expression.UnboundVariableException

All Implemented Interfaces
  Serializable

    public class UnboundVariableException

extends InvalidExpressionException

An Exception class to signal that a variable in an expression has not been unified with a value.

See Also
  Serialized Form

Constructor Summary
`UnboundVariableException(Variable var)` Allocates a `UnboundVariableException` object by associating a `Variable` that is not bound to a value.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnboundVariableException

    public UnboundVariableException(Variable var)

  Allocates a `UnboundVariableException` object by associating a `Variable` that is not bound to a value.

  Parameters
    `var` - the Variable that has not been bound.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.